#script to produce a PAUP command file that
#describes each tree in memory (no. set by user)
#under accrtran and deltran, saving each to its 
#own log file.
#it simultaneously writes a Parsimov batch file to 
#read the trees (each in its own dir) and save an
#acc, delt and unambig crack

while(1){
	print "\nHow many trees?  ";
	$Answer = <STDIN>;
	chomp($Answer);
	unless($Answer =~/\D/){last};
	print "\nMust be a whole number.  Try again!";
	}


open(NEXUS, '>', 'Describe.nex');
open(BATCH, '>', 'Batch.bat');

print NEXUS "\n\#NEXUS\n\n";
print NEXUS "\nBegin PAUP;";
print NEXUS "\nSet TOrder=right TCompress=yes;";

for($x =1; $x<=$Answer; $x++){
	print NEXUS "\n\n\[!Tree $x AccTran\]";
	print NEXUS "\nPSet Opt=AccTran;";
	print NEXUS "\nLog File=\'Tree_" . $x . "_AccTran.log\' Replace=yes Start;";
	print NEXUS "\nDescribeTrees $x /Plot=Cladogram  Root=Outgroup LabelNode=yes Apolist=yes;";
	print NEXUS "\nLog stop;";
	print BATCH "Tree_" . $x . "_AccTran.log\t"."c:\\windows\\profiles\\jon\\desktop\\spiralia\\Tree_" . $x ."\\" . $x . "_Acc\\" . $x .  "_AccTran\ta\ty\n";

	print NEXUS "\n\n\[!Tree $x DelTran\]";
	print NEXUS "\nPSet Opt=DelTran;";
	print NEXUS "\nLog File=\'Tree_" . $x . "_DelTran.log\' Replace=yes Start;";
	print NEXUS "\nDescribeTrees $x /Plot=Cladogram  Root=Outgroup LabelNode=yes Apolist=yes;";
	print NEXUS "\nLog stop;";
	print BATCH "Tree_" . $x . "_DelTran.log\t"."c:\\windows\\profiles\\jon\\desktop\\spiralia\\Tree_" . $x ."\\" . $x . "_Delt\\" . $x .  "_DelTran\ta\ty\n";
	print BATCH "Tree_" . $x . "_DelTran.log\t"."c:\\windows\\profiles\\jon\\desktop\\spiralia\\Tree_" . $x ."\\" . $x . "_Unam\\" . $x .  "_Unam\ta\ty\n";
	}

print NEXUS "\nend;";


